# 项目相关配置
ruoyi:
  # 名称
  name: GongQuanZi
  # 版本
  version: 4.7.2
  # 版权年份
  copyrightYear: 2021
  # 实例演示开关
  demoEnabled: false
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: /home/ruoyi/uploadPath
  # 获取ip地址开关
  addressEnabled: false

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为80
  port: 19001
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.ghy: debug
    org.springframework: warn

# 用户配置
user:
  password:
    # 密码错误{maxRetryCount}次锁定10分钟
    maxRetryCount: 5

# Spring配置
spring:
  # 模板引擎
  thymeleaf:
    mode: HTML
    encoding: utf-8
    # 禁用缓存
    cache: false
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: static/i18n/messages
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  profiles:
    active: druid
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  200MB
       # 设置总上传的文件大小
       max-request-size:  200MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# MyBatis
mybatis:
    # 搜索指定包别名
    typeAliasesPackage: com.ghy.**.domain
    # 配置mapper的扫描，找到所有的mapper.xml映射文件
    mapperLocations: classpath*:mapper/**/*Mapper.xml
    # 加载全局的配置文件
    configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true

#小程序配置
wx:
  mallAppId: 'wxc39c2af3ea24cd37'
  mallSecret: '96d566c3169b8715904950d9cf3cbf60'
  appId: 'wx105ce607b514ff2a'
  secret: '51df6f2d33bf639fa05891af7a69a56e'
#  appId: 'wx404f2439a8c24e15'
#  secret: '49ade04a817067fe2d65ab2f17afce75'

#七牛云配置
qiniu:
  accessKey: 'QTNOppkvtufxTxLjt1V7YZwvzV2Rc6WLD5yXLBVY'
  secretKey: 'V8SM9nkbO-dft4JmG7UaCH6RYxXdqzrvQ0zWO2W3'
  bucketName: 'gqz'
  mediaUrl: 'http://gqz.opsoul.com/'

adapay:
  debug: true
  prod-mode: true
  notifyUrl: 'https://gmhl.gmjlb.com/adapay/callback'

jim:
  appKey: '110e8830290152d76e2f1d97'
  masterSecret: 'ec49918a5d89526722b05924'
  maxRetryTimes: '3'

# 百度地图应用api
baidu:
  ak: 'ZQTgMW7W0GTuE7Ripb0HDp5TqRaOI6PZ'
  url: 'https://api.map.baidu.com/reverse_geocoding/v3/?ak=#AK#&output=json&coordtype=wgs84ll&location='

sms:
  url: 'https://app.cloopen.com:8883'
  account: '8a216da85f008800015f0eb223620557'
  appId: '8a216da85f008800015f0eb224db055d'
  token: '3cef1bc80d814637a236d93004e7ffa5'

# 阿里云api接口, 这里是身份证二要素的
aliyun:
  accessKey: LTAI5tDmv3T3Ze1Mt9wi5Be6
  accessSecret: EV4dzWRfKTQaPRjf3tFziMuVBCsThU
  endpoint: dytnsapi.aliyuncs.com
  authCode: od2FgE9a9g